LINUX.ORG.RU

Re: Планы выпуска KDE 2.0.1 и 2.1

Oops, Хорошо что предупредили , а то не закоммиттишь что-нить во время, абыдно будет..

szh ★★★★ ()

Re: Планы выпуска KDE 2.0.1 и 2.1

А XFree86 4.0.1f как видите тоже изменилась.

reutt ()

Re: Планы выпуска KDE 2.0.1 и 2.1

очень хорош konqueror в HEAD
с history как IE работает
и есть редактор bookmark'ов
ну еще KHTML изменился

RM ()

Re: Планы выпуска KDE 2.0.1 и 2.1

Как не крути все равно получается что по функциональности Windows
на данный момент совершеннее :( Все таки с него дерут . Если уж
стали делать sigserv графические что что будет дальше ?
Корку на экран показывать будут ? и дебаггер запускать?
или игнорировать как виндах ошибки ? типа система занята нажмите Enter.
МИР ЮНИКСА КУДА ТЫ КАТИШЬСЯ ? :(

Bad_UID ()

Re: Планы выпуска KDE 2.0.1 и 2.1

Сравнивать KDE и Windows можно, но не нужно. Действительно, в Windows придумано много технологий для десктопа, и было бы странно все их отрицать только потому, что ни из Windows. Мы ведь разумные люди, а не фанатики. На мой взгляд, KDE развивается совершенно самостоятельно, а не "в сторону Windows", он идёт в сторону пользователя. И то, что путь с Windows сильно пересекается -- очень даже объяснимо и понятно. А мир катится всегда в одно место -- где глубже :)

Casus ★★★★★ ()

Re: Планы выпуска KDE 2.0.1 и 2.1

Ну конечно :))

Bad_UID ()

Re: Планы выпуска KDE 2.0.1 и 2.1

2Bad_UID KDE не единственньЁй DM(WM) в мире UNIX и куда катится KDE енто его проблеми, главное чтобьЁ болезнь не бьЁла заразной ! affa

anonymous ()

Re: Планы выпуска KDE 2.0.1 и 2.1

Вот именно заразу я и имею ввиду. WindowMaker Afterstep были первыми и лучшими.Хотя это тоже субъективное мнение . Enlightenment ниже 15 версии был лучше чем стал в 16, там он действительно был хорош. А вот дальнейшее развитие gnome и kde меня очень пугает. IMHO очень много ненужного. А с KDE я долго разбирался, так и не понял всего смысла этого менеджера.

Bad_UID ()

Re: Планы выпуска KDE 2.0.1 и 2.1

Имхо, старая ветка KDE 1.x.x, которую всё ругали пока не вышла новая,
оказалась легче, стабильнее, и более пригодна для работы чем то,
что они сейчас делают. Всё познается в сравнении. :-\

anonymous ()

Re: Планы выпуска KDE 2.0.1 и 2.1

Ruki by pootrywat' tomu kto delal i18n w KDE-2.0 wse chto mogli wse isportili !

anonymous ()

Re: Планы выпуска KDE 2.0.1 и 2.1

Одним из первых был все-таки FVMW.
И IMHO он до сих пор один из лучших.

KDE2 при гигантском размере кода не умеет запускать
на панели встроенные приложения, кроме написанных специально для KDE...

KDE сочиняет какие-то свои стандарты и протоколы, взамен
уже устоявшихся... KDE ни с чем несовместимо...

KDE не пользуется поддержкой большого бизнеса...

Оно вам надо???

ivlad ★★★★★ ()

Re: Планы выпуска KDE 2.0.1 и 2.1

ээ... хотелось бы узнать... Одним из features 2.x будет то, что konqueror будет непадать? или это отложили до 3.x ?

anonymous ()

Re: Планы выпуска KDE 2.0.1 и 2.1

to Anonymous, который пишет латиницей: За давностью всего точно
непомню, т.к. KDE2.0 я поставил и почти сразу-же снес: В настройках
тамошнего переключателя клав надо указать, что _единственный_ язык
который ты понимаешь - это русский. После этого, если у тебя в X86Config
нормально настроенны опции xkb, ты сможешь переключать раскладки, даже
незагружая kde-шную переключалку. Хотя, можно её, для солидности,
загрузить на панель, но она всеравно работать небудет. ;)))

anonymous ()

Re: Планы выпуска KDE 2.0.1 и 2.1

Что это за маразм, когда надо указывать LC_ALL=ru... только для того, чтобы подключить русские шрифты и клавиатуру. А как быть человеку если он зает по русски всего одно слово но хочет посмотреть текст набранный кирилицей? Почему нужно русифицировать все тотально ! Даже пан-европейская вевсия маздая позволяет писать по русски в англоязычной системе. Приложение которое действительно нужно русифицировать полностью это офис, но он то единственное, что в KDE-2 не русифицировано. Короче очевидно целосообразно вернуться на KDE-1.1.x и адаптировать его на qt-2.2.x. либо полностью пересмотреть KDE-2 на основе тех же концепций, которые были в версии 1.1.x и ранних CVS версиях KDE2

anonymous ()

Re: Планы выпуска KDE 2.0.1 и 2.1

А зачем переключалка, когда все нормально русифицируется средствами
Х-ов?

Вчера вот отцэвээсился до HEAD и собрался. Мне понравилось...
На вкус и на цвет, сами знаете...

ssh ()

Re: Планы выпуска KDE 2.0.1 и 2.1

>Короче очевидно целосообразно вернуться на KDE-1.1.x и адаптировать >его на qt-2.2.x. либо полностью пересмотреть KDE-2 на основе тех же >концепций, которые были в версии 1.1.x и ранних CVS версиях KDE2 Короче возьми да займись. Короче все поняли.

shuras ()

Re: Планы выпуска KDE 2.0.1 и 2.1

Bad_UID
KDE - это не менеджер

anonymous (*) (2000-11-21 13:33:29.0)
смотря какой работы

oxonian
почему не пользуется поддержкой большого бизнеса?


anonymous (*) (2000-11-21 13:33:38.0)
а может лучше багрепорт отправить?

anonymous (*) (2000-11-21 15:21:50.0)
[tux@tux tux]$ locale
LANG=ru_RU.KOI8-R
LC_CTYPE="ru_RU.KOI8-R"
LC_NUMERIC="ru_RU.KOI8-R"
LC_TIME="ru_RU.KOI8-R"
LC_COLLATE="ru_RU.KOI8-R"
LC_MONETARY="ru_RU.KOI8-R"
LC_MESSAGES="ru_RU.KOI8-R"
LC_ALL=
в последней строчке никаких ru нет
с русским проблем тоже


ЗЫ что-то вы тут не то....
ЗЫЫ никто про xkb не забывает

RM ()

Re: Планы выпуска KDE 2.0.1 и 2.1

Да ксати, вот. Что у меня никогда не падало, так это конкверор.
(В русском переводе - Завоеватель Интернета). Может, шот выложу, если
не лень будет.

ssh ()

Re: Планы выпуска KDE 2.0.1 и 2.1

Ребят помогите ламаку, мой mandrake 7.2 пишет при конфиге прог (./configure) что типа еррор и что не может найти заголовочные файло KDE ? В результате ни одна компилиться, а в Mandrake 7 компилилсь! Извините , но я тока учусь!

anonymous ()
Ответ на: Re: Планы выпуска KDE 2.0.1 и 2.1 от ssh

Re: Re: Планы выпуска KDE 2.0.1 и 2.1

Конкверор симпатичен. Только як его застваить рюсский читать везде?! LANG=ru_RU.KOI8-R, язык - en_GB. И еще. Как kdm заставить запускать что-то перед запуском исов? Я хочу установить LANG и сделать 'xhost +local:', но эта падла не смотрит в XSession. Добавление нужного в его скрипты (XSetup, XStartup) ничего не дает.

ingvarr ()

Re: Планы выпуска KDE 2.0.1 и 2.1

Ребят помогите ламаку, мой mandrake 7.2 пишет при конфиге прог (./configure) что типа еррор и что не может найти заголовочные файло KDE ? В результате ни одна прога не компилится, а в Mandrake 7.0 компилилсь! Чего мне сделать? Плиз хелп ! Извините , но я тока учусь!

anonymous ()

Re: Планы выпуска KDE 2.0.1 и 2.1

Крикунов не извиняем! :)
Пиши в форумы, и поподробнее. А здесь это оффтопик.

anonymous ()

Re: Планы выпуска KDE 2.0.1 и 2.1

напиши export KDEDIR=каталог_где_КДЕ (в том каталоге должен быть каталог include)

anonymous ()
Ответ на: Re: Планы выпуска KDE 2.0.1 и 2.1 от ivlad

Re: Re: Планы выпуска KDE 2.0.1 и 2.1

>>KDE2 при гигантском размере кода не умеет запускать >>на панели встроенные приложения, кроме написанных специально для >>KDE... А 2000 Винды при гигантском размере кода не умеют запускать GUI приложения, кроме написанных специально для Виндов. >>KDE сочиняет какие-то свои стандарты и протоколы, взамен >>уже устоявшихся... Что понимается под стандартами и протоколами? Покажите мне хоть один нормальный устоявшийся стандарт, который KDE заменяет чем-то своим. Или речь об "устоявшихся" стандартах типа bonobo? >>KDE ни с чем несовместимо... Нечто уникальное в своем роде не может быть со всем сразу совместимо. Не-KDE программы успешно под KDE запускаются, а обратную совместимость реализовывать бессмысленно и нереально. >>KDE не пользуется поддержкой большого бизнеса... Смотри тут: http://www.kdeleague.org А вообще KDE чихало на поддержку большого бизнеса, главное - поддержка open-source community. Через год-два этот "бизнес" в лице Sun & Co осознает, что был не прав. А простые юзеры это осознают уже сейчас. Для примера сравните Konqueror из KDE 2.0 и Netscape 6, на ядре которого строится файловый менеджер Gnome.

Hamster ()

Re: Планы выпуска KDE 2.0.1 и 2.1

2Hamster. Вот вот KDE-2 использует QT библиотеку: большую(Ну слишком уж (порядка 30Мб)), от версии к версии несовместимую (Кстати пипл из trolltech официально заявил что они и не стремятся соблюдать хоть какую то ни было совместимость в версиях) плюс ко всему этому и тормоз!!!

knyaz ()

Re: Планы выпуска KDE 2.0.1 и 2.1

LANG=ru... и LC_ALL=ru... вообщето одно и то же

anonymous ()

Re: Планы выпуска KDE 2.0.1 и 2.1

Проблемы не с русским, а с кирилицей и английстким одновременно !!!

anonymous ()

Re: Планы выпуска KDE 2.0.1 и 2.1

кстоти досихпор существует CDE и lestiff

anonymous ()
Ответ на: Re: Планы выпуска KDE 2.0.1 и 2.1 от anonymous

Re: Re: Планы выпуска KDE 2.0.1 и 2.1

>>LANG=ru... и LC_ALL=ru... вообщето одно и то же

Не одно и то же. Порядок поиска данных для локализации такой.
1) смотрим LC_ALL. Если не "", то exit;
2) смотрим соответствующую теме LC_*. Если не "", то exit;
3) cмотрим LANG. Если не "", то exit;
4) пользуемся implementation-dependent locale ( скорее всего POSIX default ).

Hamster ()
Ответ на: Re: Планы выпуска KDE 2.0.1 и 2.1 от knyaz

Re: Re: Планы выпуска KDE 2.0.1 и 2.1

>>Вот вот KDE-2 использует QT библиотеку: большую(Ну слишком
>>уж (порядка 30Мб))

Эти 30 Mb в себя включают все, включая документацию, хедеры, утилиты и т.д.
Чисто бинарник Qt 2.2.1 ( не путать с QT, который расшифровывается как Quicktime ) занимает 8 метров, из них 1 - отладочные символы.

Несовместимость от версии к версии - это какая-то сказка, которую я первый раз слышу.
Все версии Qt с 2.0.0 по 2.2 совместимы снизу вверх на бинарном уровне. Вы можете скомпилировать любую программу с Qt 2.0.0, потом поменять Qt на 2.2.2 и программа все еще будет работать.
Можете сослаться на это официальное заявление?

Hamster ()

Re: Планы выпуска KDE 2.0.1 и 2.1

>LANG=ru_RU.KOI8-R
>LC_CTYPE="ru_RU.KOI8-R"
>LC_NUMERIC="ru_RU.KOI8-R"
>LC_TIME="ru_RU.KOI8-R"
>LC_COLLATE="ru_RU.KOI8-R"
>LC_MONETARY="ru_RU.KOI8-R"
>LC_MESSAGES="ru_RU.KOI8-R"
>LC_ALL=

Как эти параметры ни крути, а факт остается фактом:
KDE-2 русифицируется либо тотально лобо никак.
koi8-r с английским языком в нем принципиально не совместим.
Что довольно странно и просто неприемлимо !

anonymous ()
Ответ на: Re: Re: Планы выпуска KDE 2.0.1 и 2.1 от Hamster

Re: Re: Re: Планы выпуска KDE 2.0.1 и 2.1

Неа, несовместимо оно ни разу. Собственноручно правил исходники программок.
Еще второму КДЕ корбу юзать западло, они начинают что-то свое придумывать.

Havoc ★★★★ ()

Re: Планы выпуска KDE 2.0.1 и 2.1

CORBA was too complex for the requirements of the desktop paradigm.

The dynamic character of a desktop became hindered by the static nature of CORBA.

It was difficult to convince developers of small applications that they had to read and understand thousand-page manuals before they could enable interprocess communication in their projects.

Compilation of the CORBA-enabled code base was very time-consuming and resource demanding.

MICO had performance problems including high CPU usage and large memory consumption.

The stability of the resulting applications wasn't satisfactory.
(c)KDE 2.0 Development

RM ()
Ответ на: Re: Re: Re: Планы выпуска KDE 2.0.1 и 2.1 от Havoc

Re: Re: Re: Re: Планы выпуска KDE 2.0.1 и 2.1

Как это не совместимо? Скачай любой дистрибутив Qt 2.2.x и посмотри файл changes-2.2.0. Или приведи пример несовместимости ( наверное, trolltech это тоже будет интересно узнать ).

Hamster ()

Qt

У меня libqt.so.2.2.1 занимает 5364660 байт. А всё потому, что его компилить надо с -fno-exceptions. У g++ есть такой недостаток (не думаю, что он отсутствует у других компилеров), что при включённой поддержке exceptions (которые не используются ни в Qt, ни в KDE (кроме KHTML)) объём результирующего кода заметно возрастает. По поводу того, что при переходе от Qt 2.x к Qt 2.y, y > x, надо править код - это бред. Извратиться конечно всегда можно, воспользовавшись недокументированными аспектами Qt, ну тогда уж извините...

ivan4th ()
Ответ на: Re: Re: Планы выпуска KDE 2.0.1 и 2.1 от Hamster

Re: Re: Re: Планы выпуска KDE 2.0.1 и 2.1

> А 2000 Винды при гигантском размере кода не умеют запускать GUI
> приложения, кроме написанных специально для Виндов.
А это тоже дерьмо. Так что не аргумент :)

> Нечто уникальное в своем роде не может быть со всем сразу совместимо.
Это его проблемы. И уникальности в KDE я особой не вижу.

> Смотри тут: http://www.kdeleague.org А вообще KDE чихало на поддержку
> большого бизнеса, главное - поддержка open-source community.
Смотрю. Что я вижу?
IBM уже заявила, что в AIX будет GNOME.
Пользы от HP и Compaq я себе не представляю.
Разве что Compaq портирует KDE на OpenVMS. ;)
Ну еще donations.
Borland в равной степени поддерживает GNOME и KDE.

Наконец, SUN один продает коммерческих юниксов больше чем
IBM и Compaq вместе взятые.

> Через год-два этот "бизнес" в лице Sun & Co осознает, что был не прав.

А я боюсь, что это IBM и Compaq положат на KDE. ;)
Поскольку SUN в отличие от них не распыляется.
KDE будет жить только как open-source проект.
И пусть себе живет. Многим нравится. ;)

> А простые юзеры это осознают уже сейчас.
Простые юзеры пользуются тем, что им дают компании.
Пользователи SOlaris будут пользоваться GNOME.
Ну если только сисадмин не фанат KDE.
Среди админов, рулищих соляркой, понимающих ее идеологию я что-то
таких не встречал. В MCST все до сих пор под OpenView в крайнем
случае под CDE. Будет GNOME - будут под GNOME. Но собирать KDE?
Кому это надо?

> Для примера сравните Konqueror из KDE 2.0 и Netscape 6, на ядре которого
> строится файловый менеджер Gnome.
Файловые менеджер GNOME не строится на ядре Netscape.
Он может использовать компоненты Mozillы.

Нотируй разницу.

Я пользуюсь Mozillой M18 и всем доволен.
Konqueror не видел, так что врать не буду.

Таким образом, к каким выводам мы пришли?
KDE может сучествовать как open-source проект.
Т.е. при ослабленной конкуренции.
типичный o/s проект может существовать при двух-трех сотнях
пользователей по миру. Паре сайтов поддержки. :)

ivlad ★★★★★ ()
Ответ на: Re: Планы выпуска KDE 2.0.1 и 2.1 от RM

Re: Re: Планы выпуска KDE 2.0.1 и 2.1

Все это так, но таким образом вводится дополнительный стандарт, который еще учить надо.
Гном уже узает Orbit и ничего. Чтобы не было это тяжелым, могли бы просто
брокер свой с минимумом необходимого написать. Но все таки это отмазка.
В винде COM вовсю юзается, а идеология COM и CORBA в принципе одинаковы

Havoc ★★★★ ()

Re: Планы выпуска KDE 2.0.1 и 2.1

похоже в КДЕ Лигу могут еще и RED HAT и VA Linux вступить

RM ()
Ответ на: Re: Re: Re: Планы выпуска KDE 2.0.1 и 2.1 от ivlad

Re: Re: Re: Re: Планы выпуска KDE 2.0.1 и 2.1

Послушай oxonian, ты такой умный (без шуток).
Может объяснишь, существуют ли попытки ввести
GNOME в fvwm? В windowmaker вроде ввели.
Сам предпочитаю fvwm2, но от прогресса отставать
не охота. Вообще бы неплохо поддержку Motif, GTK,
Qt фич иметь в разных wm (ну по крайней мере в
fvwm).

Может это можно сделать независимым способом?
Некая программа ловит сообщения и переправляет их
кому надо?

anonymous ()

Re: Планы выпуска KDE 2.0.1 и 2.1

тот кто орал громче всех, что Qt 2.0 совместима вверх с upto Qt2.2: Ты не прав. Я спорить не буду. Просто, программы скомпилированные для Qt 2.0 НЕ запустятся на Qt2.x , x>0. Это мною лично проверенный факт. Мне по долгу работы приходилось писать на Qt и Я официально тебе этот заявляю. 2.1.x НЕ совместиме ни с 2.0 ни с 2.x , x>1 , это тоже провернено и подтверждено. Почему -- см qtinterest maillist. И не пость своих, непроверенных сведений, ИДИОТ.

anonymous ()

Re: Планы выпуска KDE 2.0.1 и 2.1

2anonymus: В windowmaker'е работают приложения и GNOME и KDE...

anonymous ()
Ответ на: Re: Планы выпуска KDE 2.0.1 и 2.1 от anonymous

Re: Re: Планы выпуска KDE 2.0.1 и 2.1

Если kdelibs поставить - они где угодно работать будут. Никого же не удивляет, что gimp в KDE работает, если gtk поставить.

ssh ()

Re: Планы выпуска KDE 2.0.1 и 2.1

Ф KDE2.1 betta уже вышла вчера. mandrake 7.2 начал ее использовать.

reutt ()

Re: Планы выпуска KDE 2.0.1 и 2.1

reutt
ну не надо =))
после 2.0.1 будет бета

RM ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.